Subject: Re: linux-next: manual merge of the akpm tree with the arm64 tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 30 Nov 2020 18:48:35 +1100

Hi all,

On Mon, 30 Nov 2020 18:28:40 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the akpm tree got a conflict in:
> 
>   arch/arm64/kernel/mte.c
> 
> between commit:
> 
>   e710c29e0177 ("arm64: mte: make the per-task SCTLR_EL1 field usable elsewhere")
> 
> from the arm64 tree and commit:
> 
>   44a7127eb3a4 ("arm64: mte: add in-kernel MTE helpers")
> 
> from the akpm tree.
> 
> I fixed it up (the former just removed some of the context for what the
> latter added) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

A couple of the following patches in the akpm tree also conflicted with
the arm64 tree.

-- 
Cheers,
Stephen Rothwell